Can't build pyethereum.

redmageredmage Member Posts: 5
Hi all,

I hope this is the right forum in which to ask this question. I'm attempting to build pyethereum on my X86-64 Ubuntu 13,10 system. I ran pip install -r requirements.txt. Unfortunately, the installation fails with the following errors:

In file included from leveldb_ext.cc:6:0:

leveldb_ext.h:8:20: fatal error: Python.h: No such file or directory

#include

^

compilation terminated.

error: command 'x86_64-linux-gnu-gcc' failed with exit status 1

Could this be an environment issue? I.e. it's looking for the Python.h file somewhere and can't find in in the PATH? Note that I'm running with Python 2.75

-- redmage

Best Answer

Answers

  • malinlubmalinlub Member Posts: 1
    Cant install pyethereum by python setup.py install, can you help me? Ubuntu 14.04 WS

    ....
    Installing pyethclient script to /usr/local/bin
    Installing pyeth script to /usr/local/bin

    Installed /usr/local/lib/python2.7/dist-packages/pyethereum-0.6.33_47_g537d85f-py2.7.egg
    Processing dependencies for pyethereum===0.6.33-47-g537d85f
    Traceback (most recent call last):
    File "setup.py", line 32, in
    cmdclass=versioneer.get_cmdclass())
    File "/usr/lib/python2.7/distutils/core.py", line 151, in setup
    dist.run_commands()
    File "/usr/lib/python2.7/distutils/dist.py", line 953, in run_commands
    self.run_command(cmd)
    File "/usr/lib/python2.7/distutils/dist.py", line 972, in run_command
    cmd_obj.run()
    File "/usr/local/lib/python2.7/dist-packages/setuptools/command/install.py", line 67, in run
    self.do_egg_install()
    File "/usr/local/lib/python2.7/dist-packages/setuptools/command/install.py", line 117, in do_egg_install
    cmd.run()
    File "/usr/local/lib/python2.7/dist-packages/setuptools/command/easy_install.py", line 375, in run
    self.easy_install(spec, not self.no_deps)
    File "/usr/local/lib/python2.7/dist-packages/setuptools/command/easy_install.py", line 599, in easy_install
    return self.install_item(None, spec, tmpdir, deps, True)
    File "/usr/local/lib/python2.7/dist-packages/setuptools/command/easy_install.py", line 650, in install_item
    self.process_distribution(spec, dist, deps)
    File "/usr/local/lib/python2.7/dist-packages/setuptools/command/easy_install.py", line 709, in process_distribution
    % e.args
    TypeError: not enough arguments for format string

Sign In or Register to comment.